Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 599608 - importing snack (newt-python) causes gtk not to translate the stock labels
Summary: importing snack (newt-python) causes gtk not to translate the stock labels
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: newt
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Miroslav Lichvar
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Depends On:
Blocks: 598413
TreeView+ depends on / blocked
 
Reported: 2010-06-03 15:27 UTC by Ales Kozumplik
Modified: 2010-11-10 21:13 UTC (History)
4 users (show)

Fixed In Version: newt-0.52.11-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 625809 (view as bug list)
Environment:
Last Closed: 2010-11-10 21:13:41 UTC
Target Upstream Version:


Attachments (Terms of Use)
GUI mode in Czech (deleted)
2010-08-20 11:22 UTC, Alexander Todorov
no flags Details
Text mode in Czech (deleted)
2010-08-20 11:22 UTC, Alexander Todorov
no flags Details

Description Ales Kozumplik 2010-06-03 15:27:25 UTC
Description of problem:
- only reproducible in Anaconda
- only during graphical install

Steps to Reproduce:
1. start installer
2. choose "Czech" in the language selection dialog
3. enter "anaconda" twice as the root password.
  
Actual results:
Dialog pops up with a warning about a dictionary password. The "_Cancel" is not translated.

Expected results:
_Cancel is translated.

Additional info:
I narrowed this down to a problem with importing snack. Compiling newt with --disable-nls seems to help. The offending line in my opinion is 

textdomain (PACKAGE);

in snackmodule.c.

No idea why this can't be reproduced on an installed system. I also have a small testing script that one can load through updates into the installer environment instead of anaconda to get to the problem dialog quicker.

Comment 2 Miroslav Lichvar 2010-06-04 09:00:11 UTC
The snack module as a library probably shouldn't be calling any of the i18n functions, I'd suggest removing the whole ENABLE_NLS ifdef from snack.

Comment 3 RHEL Product and Program Management 2010-06-04 09:03:16 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 8 Alexander Todorov 2010-08-20 11:22:34 UTC
Created attachment 439915 [details]
GUI mode in Czech

Comment 9 Alexander Todorov 2010-08-20 11:22:55 UTC
Created attachment 439917 [details]
Text mode in Czech

Comment 10 Alexander Todorov 2010-08-20 11:24:17 UTC
Miroslav,
the Cancel button is translated in both text and gui mode but the translations are different. I'm not sure if anaconda uses different translation domains for different modes.

Comment 11 Alexander Todorov 2010-08-20 11:27:06 UTC
FYI: comment #8 and #9 are with snap #12 - 0818.0

Comment 12 Alexander Todorov 2010-08-20 13:50:59 UTC
From Radek on IRC:

(16,38,13) rvykydal: atodorov, the string in text mode has "\n\n" appended compared to that in gui.but that is a different bug
(16,38,52) atodorov: ok cool
(16,39,41) atodorov: rvykydal: which string exactly? there are several strings that differ
(16,40,10) atodorov: the weak password warning and the yes/no /cancel buttons
(16,40,31) atodorov: do you guys just have yes/no in text mode and cancel/accept in gui? 
(16,40,39) rvykydal: yes, that is ok
(16,41,06) rvykydal: note that there is a question in text mode
(16,43,40) rvykydal: and I was talking ("\n\n") about "You have provided a weak password" not being translated in text mode (it is translated in GUI) before
(16,47,47) atodorov: ok, thanks for the explanation


Moving to VERIFIED.

Comment 13 releng-rhel@redhat.com 2010-11-10 21:13:41 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.